﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ApplicationStyling
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DisplayLayout.Override.CellClickAction = CellClickAction.RowSelect;
            ultraGrid1.DisplayLayout.Override.SelectedAppearancesEnabled = Infragistics.Win.DefaultableBoolean.False;
            ultraGrid1.DisplayLayout.Override.ActiveAppearancesEnabled = Infragistics.Win.DefaultableBoolean.False;
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            CellsCollection cells = e.Row.Cells;

            foreach (UltraGridCell cell in cells)
            {
                ColorCell(cell);
            }
        }

        private void ColorCell(UltraGridCell cell)
        {
            double value = (double)cell.Value;

            if (value > 5)
                cell.Appearance.ForeColor = Color.Green;
            else if (value < 5)
                cell.Appearance.ForeColor = Color.Red;
            else
                cell.Appearance.ForeColor = Color.Blue;
        }
    }
}
